<?php

use yii\db\Migration;

/**
 * Handles the creation of table `visit`.
 */
class m180601_065055_create_visit_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('visit', [
            'id' => $this->primaryKey(),
            'name' => $this->string(),
            'phone' => $this->string(),
            'message' => $this->text(),
            'entity' => $this->string(),
            'entity_id' => $this->integer(),
            'email'     => $this->string(),
            'status'    => $this->boolean(),
            'created_at'=> $this->integer()
        ]);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropTable('visit');
    }
}
